Magick++: Magick::DrawableFont Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableFont Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFont:
[legend]
Collaboration diagram for Magick::DrawableFont:
[legend]

## Public Member Functions
| DrawableFont (const std::string &font_)
| DrawableFont (const std::string &family_, StyleType style_, const unsigned int weight_, StretchType stretch_)
| DrawableFont (const DrawableFont &original_)
| ~DrawableFont (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | font (const std::string &font_)
std::string | font (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 943 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableFont::DrawableFont | ( | const std::string & | font_ | ) |

Definition at line 647 of file Drawable.cpp.

Magick::DrawableFont::DrawableFont | ( | const std::string & | family_,
|  | Magick::StyleType | style_,
|  | const unsigned int | weight_,
|  | Magick::StretchType | stretch_
| ) |  |

Definition at line 655 of file Drawable.cpp.

Magick::DrawableFont::DrawableFont | ( | const DrawableFont & | original_ | ) |

Definition at line 666 of file Drawable.cpp.

Magick::DrawableFont::~DrawableFont | ( | void |  | ) |

Definition at line 675 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableFont::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 701 of file Drawable.cpp.

void Magick::DrawableFont::font | ( | const std::string & | font_ | ) |
| inline

Definition at line 962 of file Drawable.h.

std::string Magick::DrawableFont::font | ( | void |  | ) | const
| inline

Definition at line 966 of file Drawable.h.

void Magick::DrawableFont::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 678 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp